package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesContainerPackage;
import cn.estsh.i3plus.pojo.mes.bean.MesContainerSnStation;

import java.util.List;

/**
 * @Description : 容器条码与站点关系表-业务方法
 * @Reference :
 * @Author : logic
 * @CreateDate : 2025/6/13 09:16
 * @Modify:
 **/
public interface IMesContainerSnStationService {

    ListPager<MesContainerSnStation> queryPager(MesContainerSnStation mesContainerSnStation, Pager pager);

    void doInsert(MesContainerSnStation mesContainerSnStation, String userName);

    void deleteWeaklyByIds(List<Long> idList, String organizeCode, String userName);

    void checkStation(String organizeCode, String station);
}
